
TYPO3.Flow - Bug # 4952

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Reflection
Created: 2009-10-08 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Reflection cache of subclasses are not flushed if parent classes change
Description

If a parent class is changed (e.g. new properties are added, properties removed, new methods ...) the reflection cache must also be
flushed for all classes inheriting this class directly or indirectly. That is not the case currently.

Associated revisions
Revision c5409c19 - 2009-11-02 15:30 - Robert Lemke

[+BUGFIX] FLOW3 (Reflection): If a parent class was modified, the Reflection Service will now also flush the reflection cache of classes inheriting this
class. Fixes #4952

History
#1 - 2009-11-02 14:03 - Karsten Dambekalns
- Target version deleted (1.0 alpha 6)

#2 - 2009-11-02 15:16 - Robert Lemke
- Status changed from New to Accepted
- Assigned To set to Robert Lemke
- Target version set to 1.0 alpha 6

#3 - 2009-11-02 16:00 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3392.
